/**
 * DevExtreme (core/utils/math.js)
 * Version: 16.2.6 (build 17100)
 * Build date: Mon Apr 10 2017
 *
 * Copyright (c) 2012 - 2017 Developer Express Inc. ALL RIGHTS RESERVED
 * EULA: https://www.devexpress.com/Support/EULAs/DevExtreme.xml
 */
"use strict";
var sign = function(value) {
    if (0 === value) {
        return 0
    }
    return value / Math.abs(value)
};
var fitIntoRange = function(value, minValue, maxValue) {
    if (!minValue && 0 !== minValue) {
        minValue = value
    }
    if (!maxValue && 0 !== maxValue) {
        maxValue = value
    }
    return Math.min(Math.max(value, minValue), maxValue)
};
var inRange = function(value, minValue, maxValue) {
    return value >= minValue && value <= maxValue
};
exports.sign = sign;
exports.fitIntoRange = fitIntoRange;
exports.inRange = inRange;
